package com.changda.gjjapp.zhfwpt.service.impl.hgqymd;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.changda.gjjapp.db.entity.M_HGZYQYMD;
import com.changda.gjjapp.db.entity.M_XWINFO;
import com.changda.gjjapp.zhfwpt.dao.Hgqymd.HgqymdDao;
import com.changda.gjjapp.zhfwpt.service.hgqymd.HgqymdSerivce;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;

/**
 * 黄冈在业企业名单
 * @author Administrator
 *
 */
@Service()
public class HgqymdServiceImp implements HgqymdSerivce {
	
	@Autowired
	private HgqymdDao hgqymdDao;
	
	//黄冈在业企业名单
	@Override
	public Map<String, Object> query_HGqymd(String data,String gxdw,int page,int limit) {
		Map<String, Object> map = new HashMap<>();
		Page<M_HGZYQYMD> page2 = PageHelper.startPage(page, limit, true);
		List<M_HGZYQYMD> list = hgqymdDao.query_HGqymd(data,gxdw);
		int count = (int) page2.getTotal();
		map.put("list", list);
		map.put("total", count);
		return map;
	}
	
}
